AWTEventListenerProxy (Java Platform SE 8 )
Keywords: java.awt.event.AWTEventListenerProxy class
Date: 2016-07-28

java.awt.event

## Class AWTEventListenerProxy

- java.lang.Object
- - java.util.EventListenerProxy<AWTEventListener>
  - - java.awt.event.AWTEventListenerProxy

- All Implemented Interfaces:
    AWTEventListener, EventListener

      public class AWTEventListenerProxy
      extends EventListenerProxy<AWTEventListener>
      implements AWTEventListener

  A class which extends the `EventListenerProxy` specifically for adding an `AWTEventListener` for a specific event mask. Instances of this class can be added as `AWTEventListener`s to a `Toolkit` object.

  The `getAWTEventListeners` method of `Toolkit` can return a mixture of `AWTEventListener` and `AWTEventListenerProxy` objects.

  Since:
    1.4
  See Also:
    `Toolkit`, `EventListenerProxy`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTEventListenerProxy(long eventMask, AWTEventListener listener)` Constructor which binds the `AWTEventListener` to a specific event mask.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `eventDispatched(AWTEvent event)` Forwards the AWT event to the listener delegate.
    `long` | `getEventMask()` Returns the event mask associated with the listener.

    - ### Methods inherited from class java.util.EventListenerProxy

      `getListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTEventListenerProxy

          public AWTEventListenerProxy(long eventMask,
                                       AWTEventListener listener)

      Constructor which binds the `AWTEventListener` to a specific event mask.
      Parameters:
        `eventMask` - the bitmap of event types to receive
        `listener` - the listener object

  - ### Method Detail

    - #### eventDispatched

          public void eventDispatched(AWTEvent event)

      Forwards the AWT event to the listener delegate.
      Specified by:
        `eventDispatched` in interface `AWTEventListener`
      Parameters:
        `event` - the AWT event

    - #### getEventMask

          public long getEventMask()

      Returns the event mask associated with the listener.
      Returns:
        the event mask associated with the listener

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.